
Redmine - Defect #8874

Issue Updates without a journal details entry do not appear to users.

2011-07-21 20:25 - Nathan Lampi

Status: Closed Start date: 2011-07-21

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.2.0

Description

Env:

- MySQL 5.0.92

- Redmine 1.2.0

- Ruby 1.8.7

- Rails 2.3.11

When a user is looking at an issue (e.g. redminepath/issues/##), any update with no journal_details entry (just a notes update) does

not show up for non-admin users (administrators can see all updates). The update can be seen in the activity feed, but when clicked

on there, it is still not visible on the actual issue. If a journal_details entry is manually added to any of the updates that are not visible

(e.g. % done or assignee) then the update becomes visible. This happens regardless of the user's permissions toward a project

(manager/developer/reporter/etc).

Oddly enough, if a update is not visible in the History, it is still counted for the #1, #2 etc on the right hand side so it will go from #1-#2

-#5.

History

#1 - 2011-07-21 22:35 - Etienne Massip

Do you have plugins installed ?

#2 - 2011-07-21 22:42 - Nathan Lampi

- Status changed from New to Resolved

Wow, my bad. I didn't think about that. I have the advanced roadmap plugin installed and it must be the root cause of the issue since if I disable that it

all works fine. Now that it's narrowed down I should be able to fix that or just disable the plugin in the meantime.

Thanks Etienne!

#3 - 2011-07-23 17:05 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution set to Invalid

#4 - 2011-08-05 18:32 - Artur Oliveira

Nathan how did you solved this problem ?

I had to disable the plugin to solve it

Did you reported the problem to advanced_roadmap developer ?

#5 - 2011-08-05 18:39 - Artur Oliveira

Found this issue in Advanced Roadmap project site https://ociotec.com/redmine/issues/527
